/***************************************************
  endoflevel.wdl, created with EasyParticle 3.1.
  This script can be used free and without credits.
  How to use:
    Implement the script via include <endoflevel.wdl>; in your main WDL file.
    The action name is: goal_action
   If you recognize any mistakes in the script, please contact the support ( Support@EasyParticle.de ).
   Have fun with the script
   TripleX --- Hawkgames
*****************************************************/
bmap laser_farbe5 = <laser_yelow.tga>;
VAR goalAnzahlPartikel = 1; //number of particles used for this effect


Function goal_spec_fun()
{
    my.alpha -= 5 *time;
    IF(My.alpha < 0) { my.alpha = 0; my.lifespan = 0; }
}

Function goalspezial()
{
    my.blue = 128 ;
    my.green = 128 ;
    my.red = 128 ;
    my.bmap = laser_farbe5; //the effect bitmap
    my.vel_x = random( 0 ) - 0 ;
    my.vel_y = random( 0 ) - 0 ;
    my.vel_z = random( 0.840 );
    my.size = 1 ;
    my.alpha = 50 ;
    my.gravity = -1.318 ;
    my.streak = off;
    my.flare = on;
    my.bright = on;
    my.beam = off;
    my.move = on;
    my.transparent = on;
    my.function = goal_spec_fun;
}


Function goal()
{
  while(1)
  {
     goalAnzahlPartikel = 1;
     my.skill9 = 0;
      my.skill11 = 360 ;
     while (my.skill9 < my.skill11)
     {
        temp.x = my.x + cos(my.skill9)*58.213 ;
        temp.y = my.y + sin(my.skill9)*58.213 ;
        temp.z = my.z;
        my.skill9 += 1 ;
        effect(goalspezial,max(1,int(goalAnzahlPartikel*time)),temp,nullvector);
     }
     wait(1);
  }
}


action goal_action
{
  my.invisible = on;
  My.passable = on;
  goal();
}


