/***************************************************
  mountainsnow.wdl, created with EasyParticle 3.1.
  This script can be used free and without credits.
  How to use:
    Implement the script via include <mountainsnow.wdl>; in your main WDL file.
    The action name is: snow_action
   If you recognize any mistakes in the script, please contact the support ( Support@EasyParticle.de ).
   Have fun with the script
   TripleX --- Hawkgames
*****************************************************/
bmap snowBmap = <dirt1.tga>;
VAR snowAnzahlPartikel = 1; //number of particles used for this effect


Function snow_spec_fun()
{
    my.alpha -= 0 *time;
    IF(My.alpha < 0) { my.alpha = 0; my.lifespan = 0; }
    my.skill_b += 0.03;
    my.skill_c = 6  - my.skill_b;
    if(my.skill_c < 0) { my.lifespan = 0; }
}

Function snowspezial()
{
    my.blue = 128 ;
    my.green = 128 ;
    my.red = 128 ;
    my.skill_c = 0; my.skill_b = 0;
    my.bmap = snowBmap;  //the effect bitmap
    my.vel_x = random( 0 ) - 0 ;
    my.vel_y = random( 0 ) - 0 ;
    my.vel_z = -41.359 ;
    my.size = 14 ;
    my.alpha = 100 ;
    my.x += random(1000)-500;
    my.y += random(1000)-500;
    my.z += random(100)-50;
    my.gravity = 0 ;
    my.streak = off;
    my.flare = on;
    my.bright = on;
    my.beam = off;
    my.move = on;
    my.transparent = on;
    my.function = snow_spec_fun;
}


Function snow()
{
  while(1)
  {
     snowAnzahlPartikel = 1;
    var myPos[3];
    vec_set(myPOS,camera.x);
    temp.x = COS(camera.pan);
    temp.y = SIN(camera.pan);
    temp.Z = 600*COS(camera.tilt);
    MyPos.X = myPos.X + temp.Z*temp.X;
    MyPos.Y = myPos.Y + temp.Z*temp.Y;;
    MyPos.Z = myPos.Z + 600*SIN(camera.TILT);
    MyPos.Z = Camera.Z + 800;
    effect(snowspezial,max(1,int(snowAnzahlPartikel*time)),MyPOS,nullvector);
     wait(1);
  }
}


action snow_action
{
  my.invisible = on;
  My.passable = on;
  snow();
}


